if DisablePDTHChallengeStandalone then
    return false
end

if Setup then
    Hooks:PostHook(Setup, "init_managers", "pdth_hud_define_challenges", function(ply)
        tweak_data.challenges = ChallengesTweakData:new()
        managers.challenges = ChallengesManager:new()
    end)
end

if MenuSetup then
    Hooks:PostHook(MenuSetup, "init_managers", "pdth_hud_define_challenges_menu", function(ply)
        tweak_data.challenges = ChallengesTweakData:new()
        managers.challenges = ChallengesManager:new()
    end)
end

if MenuManager then
    Hooks:PostHook(MenuManager, "do_clear_progress", "pdth_hud_reset_challenges", function(ply)
        managers.challenges:reset_challenges()
    end)
end

if BlackMarketManager then
    Hooks:PostHook(BlackMarketManager, "save", "PDTHHudSaveChallenges", function(self, data)
        managers.challenges:save(data)
    end)
    Hooks:PostHook(BlackMarketManager, "load", "PDTHHudLoadChallenges", function(self, data)
        managers.challenges:load(data)
    end)
end

--[[if ExperienceManager then
    Hooks:PostHook(ExperienceManager, "_level_up", "PDTHHudCheckChallenges", function(self)
        managers.challenges:check_active_challenges()
    end)
end]]--
